# Dropdown Field API

| **Dropdown field**                                                                                                                                                                                                       |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| *\<field type=”dropdown” name=”string” placeholder=”string” roleId=”id” optional=”boolean” allowCustomValue=”boolean” multiSelect=”boolean” search=”boolean”>\<option>string\<option>…\<option>string\<option>\</field>* |

#### Dropdown Field attributes

* **type** — define if this field is dropdown type, mandatory attribute.
* **name** — string, length from 1 up to 128 symbols, restricted symbols &, “, <, >, field name used to fill in on envelope, unique for document, mandatory attribute.
* **placeholder** — field placeholder displayable on template and envelope, length from 0 up to 1024 symbols, if empty on envelope will be displayed field name, optional attribute.
* **roleId** — id of the role who should fill field on envelope, mandatory attribute.
* **optional** — boolean, defines if field to be filled in optionally or not on envelope, if not set default value false, optional attribute.
* **allowCustomValue** — boolean, defines if custom value would be acceptable on envelope, allowCustomValue and multiSelect is not possible in the same time (only one attribute can be applied), optional attribute.
* **multiSelect** — boolean, defines if multiselect will be available on envelope, allowCustomValue and multiSelect is not possible in the same time (only one attribute can be applied), optional attribute.
* **search** — boolean, defines if field is searchable on envelope search or not, if not set default value false, optional attribute.

#### Field options

Max quantity of options 100:

* **\<option> value** — string, min quantity 1 symbols and max quantity 50 symbols, mandatory value.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://support.docstudio.com/docstudio-docs/docstudio-for-developers/api-documentation/template-api/template-dynamic-fields-api/dropdown-field-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
